GNU bug report logs - #44939
[PATCH 1/4] gnu: Add go-github-com-nwidger-jsoncolor.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Joseph LaFreniere <joseph@HIDDEN>; Keywords: patch; Done: Efraim Flashner <efraim@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 44939-done <at> debbugs.gnu.org:


Received: (at 44939-done) by debbugs.gnu.org; 4 Nov 2021 13:14:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 04 09:14:05 2021
Received: from localhost ([127.0.0.1]:42249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1micZB-0008QA-I4
	for submit <at> debbugs.gnu.org; Thu, 04 Nov 2021 09:14:05 -0400
Received: from flashner.co.il ([178.62.234.194]:34852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1micZ9-0008PW-17
 for 44939-done <at> debbugs.gnu.org; Thu, 04 Nov 2021 09:14:03 -0400
Received: from localhost (unknown [141.226.169.107])
 by flashner.co.il (Postfix) with ESMTPSA id 37576407BF;
 Thu,  4 Nov 2021 13:13:57 +0000 (UTC)
Date: Thu, 4 Nov 2021 15:13:25 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: phodina <phodina@HIDDEN>
Subject: Re: [bug#44939] [PATCH 1/4] gnu: Add go-github-com-nwidger-jsoncolor.
Message-ID: <YYPcdfPR2ke1x3n0@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 phodina <phodina@HIDDEN>,
 Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 44939-done <at> debbugs.gnu.org
References: <87tut8dayd.fsf@HIDDEN>
 <LwUcEOvA7XldlN8G2I71N6-xaKUpnKo-XvHVXKSCoZKLfDPLKa5UqE8MkDm5fT-O-NaeftAZc-Hwle-ckajd9dKJW0HRyubZE8LEyNXBu7Q=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="ek+4hF0GY7Bwljgr"
Content-Disposition: inline
In-Reply-To: <LwUcEOvA7XldlN8G2I71N6-xaKUpnKo-XvHVXKSCoZKLfDPLKa5UqE8MkDm5fT-O-NaeftAZc-Hwle-ckajd9dKJW0HRyubZE8LEyNXBu7Q=@protonmail.com>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44939-done
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 44939-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--ek+4hF0GY7Bwljgr
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Nov 03, 2021 at 08:50:39AM +0000, phodina via Guix-patches via wrot=
e:
> Hi Ludo,
>=20
> seems this patch has already been merged in commit
> 81c7f13d74530f936d71f8404cdcc71770cf707e.
>=20
> Petr

You can close bugs by changing the address from #####@debbugs.gnu.org to
#####-done <at> debbugs.gnu.org, like I did with this email :)

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--ek+4hF0GY7Bwljgr
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmGD3HQACgkQQarn3Mo9
g1FM7A//bqcaRwaDBhUdDTRsLs+O9zrawaHG5+CWSto6/ELBbLrCxqYVnYbHDYAo
UO9RZHJ3l5kSmP5NvObHtLfITEsOwdk3mrurDfNrEJVvtWoKExb4hLqLJBp80y8q
NI9xgD6gc6bz/BO+Y5mrRkC8sq6K9qOyL9Hb8Pr/a5NZWBVWIZnsOyfrhCJADIGn
d6+j3a9XYDf5UB2KyEDotV12FPKkYcwAsmZoYf+kKM6uZinC+OjttV6uVG7TD67c
BG1qSUxlCWU8DjS5NzADZJP9t9H/Mj55HPzl0s18nkBcdxVhcZxuukVN2TaeIS2N
XDn7zfDlV7fD3xoYUJlXNNSVrlAk11IJzbyZCLXXmtHC88++C6lCuWTYINYoiA32
wHC93CQeLs8EONyXNaAgurNMHgqgel1yfojU195dr59pIfNGNqXNGQYZbKtI/9VW
LVy1zFzJL5wt7kRnwDWmMvsIcQSD4mzifowjc6GWRWspuz0uJRsXhsIZY/VatiKV
nahwIvOM0OFEcDdIKeQxj6XKQjk1Vw+f+ZiVbo4jRMk7j1u3OeNOSs3vTiMsdAO9
BjJ3fJkpM/1O/cIyZlVmicQIycM4JzqcJOCSKdFlDBNDa4SKbVcMoe8I1Y3/0va0
hSqGAVG+1OTVDUeUtv4FF52PMbfFumutANz0f2mXww/i58LUnfg=
=OhPH
-----END PGP SIGNATURE-----

--ek+4hF0GY7Bwljgr--




Notification sent to Joseph LaFreniere <joseph@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Efraim Flashner <efraim@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 44939 <at> debbugs.gnu.org:


Received: (at 44939) by debbugs.gnu.org; 3 Nov 2021 08:50:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 03 04:50:49 2021
Received: from localhost ([127.0.0.1]:38933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1miByr-0006zX-9t
	for submit <at> debbugs.gnu.org; Wed, 03 Nov 2021 04:50:49 -0400
Received: from mail-4316.protonmail.ch ([185.70.43.16]:21739)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1miByp-0006zK-SX
 for 44939 <at> debbugs.gnu.org; Wed, 03 Nov 2021 04:50:48 -0400
Date: Wed, 03 Nov 2021 08:50:39 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1635929441;
 bh=nT+PX3stzSX/I8cBTEwuD0WSTbHjyPS6dBJ8d7yt28E=;
 h=Date:To:From:Reply-To:Subject:From;
 b=jzYtFUMCqmF5kg9F22Inbeus1yKLeJ0hOWJt2yhoahfTF5Yrlq05d4vuaVzrtI2mq
 i/g8o3CI0tVdzLkdTBzOUI7nzLB/duqNrbvqGRjuNlgTlvujbWf40Mbjql2Vjjfx29
 NrNJfF19DAjr0qD1SyPvEmdcEd00jFRt6RfDSxAc=
To: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>,
 "44939 <at> debbugs.gnu.org" <44939 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: RE:[PATCH 1/4] gnu: Add go-github-com-nwidger-jsoncolor.
Message-ID: <LwUcEOvA7XldlN8G2I71N6-xaKUpnKo-XvHVXKSCoZKLfDPLKa5UqE8MkDm5fT-O-NaeftAZc-Hwle-ckajd9dKJW0HRyubZE8LEyNXBu7Q=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44939
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludo,

seems this patch has already been merged in commit
81c7f13d74530f936d71f8404cdcc71770cf707e.

Petr




Information forwarded to guix-patches@HIDDEN:
bug#44939; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Nov 2020 04:49:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 28 23:49:31 2020
Received: from localhost ([127.0.0.1]:49497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjEeR-000502-Bx
	for submit <at> debbugs.gnu.org; Sat, 28 Nov 2020 23:49:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:39964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph@HIDDEN>) id 1kjEeM-0004zr-VG
 for submit <at> debbugs.gnu.org; Sat, 28 Nov 2020 23:49:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37486)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joseph@HIDDEN>)
 id 1kjEeM-0007gu-M5
 for guix-patches@HIDDEN; Sat, 28 Nov 2020 23:49:26 -0500
Received: from mx.kolabnow.com ([95.128.36.40]:54156)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joseph@HIDDEN>)
 id 1kjEeK-0001gl-4o
 for guix-patches@HIDDEN; Sat, 28 Nov 2020 23:49:25 -0500
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTP id 171134050D
 for <guix-patches@HIDDEN>; Sun, 29 Nov 2020 05:49:21 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:mime-version:date:date:message-id
 :subject:subject:from:from:received:received:received; s=
 dkim20160331; t=1606625360; x=1608439761; bh=acEFVxfuub1AyLoxrXB
 O0vMfx3ID030NwGytqFqNLzE=; b=UGNAcGHh9rQElI2xncIWuh5fu2kd5QBOskO
 aPu3sDbW4Cunk6tBwLafE/RHj0p8ayG1O0A31csh6qvmf+8h0frwm5aE6I/fFw3l
 7IkAb2naHffxyRCGpcS/njEYAeLL9FsB9ovx/Jpqr+8vE1Nv74Pvv800h6UMbk4j
 r9tXcLuLRHua2MAaIX4SDV171b1KmTc7Ya4+efvmhdd3E4wp22454V80jhsgTIqM
 m3rRYIxgaqm6spsr3qyjFhxQ9Ibq4/rcQ0PDjXt8vgic4HOWvSFTVC62vZi/Og7Z
 BFQVTUFp3Dv0Y7fMVBn9ol35hJYvxgv6Q13mT6BGN+syqFGcKxpCJsZBS03qhU7m
 bf/LM1f4F/TLOjrsyXKRSOraz+AKySoShYo46PAAOsfYB89rhKqRkC/HqVBq60Xn
 WdwP2rd8jkEy2foBjzG9MtkmeOVpzwbx0G+zkH/Z2TYJp3EAgEAJgIiMOj4Fm4Qs
 lGCVRnL10NL9oFFPS6+P+RIfpH9gMmm00UlSkhphbrsMf+hN+M9wlUX0XKLHX9F1
 ynkpZ2+KFxqW+iqlU3xc8G6phFuQ/j689SyZmDKIFAAO14n25Z19FfknIRgES5s9
 cpqLC7kFBlkd2FYc10AMDYhBA17e7imIlPvPFS10hh/vELIPjPWoZYf7ZsAOxRjL
 GAJxmu6o=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 6t74yD0rGUwV for <guix-patches@HIDDEN>;
 Sun, 29 Nov 2020 05:49:20 +0100 (CET)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTPS id F363F400B4
 for <guix-patches@HIDDEN>; Sun, 29 Nov 2020 05:49:18 +0100 (CET)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id D7CAB49C
 for <guix-patches@HIDDEN>; Sun, 29 Nov 2020 05:49:17 +0100 (CET)
From: Joseph LaFreniere <joseph@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/4] gnu: Add go-github-com-nwidger-jsoncolor.
Message-ID: <87tut8dayd.fsf@HIDDEN>
Date: Sat, 28 Nov 2020 22:49:14 -0600
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=95.128.36.40; envelope-from=joseph@HIDDEN;
 helo=mx.kolabnow.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FROM_SUSPICIOUS_NTLD=0.498, FROM_SUSPICIOUS_NTLD_FP=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Patch file attached. -- Joseph LaFreniere From
 1db67f6b7cac25a16913776431c4d3bf97ba1c9f
 Mon Sep 17 00:00:00 2001 From: Joseph LaFreniere <joseph@HIDDEN>
 Date: Sat,
 28 Nov 2020 22:25:35 -0600 Subject: [PATCH 1/4] gnu: Add go-github-com
 [...] Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=joseph%40lafreniere.xyz; ip=209.51.188.17; r=debbugs.gnu.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: lafreniere.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

--=-=-=
Content-Type: text/plain; format=flowed

Patch file attached.

--
Joseph LaFreniere

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-Add-go-github-com-nwidger-jsoncolor.patch

From 1db67f6b7cac25a16913776431c4d3bf97ba1c9f Mon Sep 17 00:00:00 2001
From: Joseph LaFreniere <joseph@HIDDEN>
Date: Sat, 28 Nov 2020 22:25:35 -0600
Subject: [PATCH 1/4] gnu: Add go-github-com-nwidger-jsoncolor.

* gnu/packages/golang.scm (go-github-com-nwidger-jsoncolor): New variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 92533cfd50..72f43efd8a 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -5134,6 +5134,33 @@ style your output, without you having to deal with all kinds of weird ANSI
 escape sequences and color conversions.")
     (license license:expat)))
 
+(define-public go-github-com-nwidger-jsoncolor
+  (package
+    (name "go-github-com-nwidger-jsoncolor")
+    (version "0.3.0")
+    (home-page "https://github.com/nwidger/jsoncolor")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "13rd146pnj7qm70r1333gyd1f61x40nafxlpvdxlci9h7mx8c5p8"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/nwidger/jsoncolor"))
+    (native-inputs
+     `(("go-github-com-fatih-color" ,go-github-com-fatih-color)))
+    (synopsis "Colorized JSON marshalling and encoding")
+    (description
+     "@code{jsoncolor} is a drop-in replacement for @code{encoding/json}'s
+@code{Marshal} and @code{MarshalIndent} functions and @code{Encoder} type
+which produce colorized output using github.com/fatih/color.")
+    (license license:expat)))
+
 (define-public go-github-com-olekukonko-tablewriter
   (package
     (name "go-github-com-olekukonko-tablewriter")
-- 
2.29.2


--=-=-=--




Acknowledgement sent to Joseph LaFreniere <joseph@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#44939; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Nov 2021 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.